stages:
  - build
  - test
  - package
  - deploy

variables:
  MAVEN_OPTS: "-Dmaven.repo.local=.m2/repository"
  IMAGE_NAME: "delivery"

build:
  stage: build
  script:
    - ./mvnw clean

test:
  stage: test
  script:
    - ./mvnw test

package:
  stage: package
  script:
    - ./mvnw package
  artifacts:
    paths:
      - target/*.jar

dockerize:
  stage: deploy
  only:
    - master
  script:
    - docker build -t $IMAGE_NAME:$CI_COMMIT_REF_NAME .
    - docker tag $IMAGE_NAME:$CI_COMMIT_REF_NAME $IMAGE_NAME:latest
  artifacts:
    expire_in: 1 week
